edu.isi.pegasus.planner.catalog.transformation.classes

## Enum TCType

- java.lang.Object
- - java.lang.Enum<TCType>
  - - edu.isi.pegasus.planner.catalog.transformation.classes.TCType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TCType>

    public enum TCType
    extends java.lang.Enum<TCType>

This is an enumerated data class for the different types of transformation.

Version:
  $Revision$
Author:
  Gaurang Mehta gmehta@isi.edu

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INSTALLED`
`STAGEABLE`
`STATIC_BINARY`

### Method Summary

All Methods Static Methods Concrete Methods
`static TCType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TCType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STATIC_BINARY

    public static final TCType STATIC_BINARY

#### INSTALLED

    public static final TCType INSTALLED

#### STAGEABLE

    public static final TCType STAGEABLE

### Method Detail

#### values

    public static TCType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TCType c : TCType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TCType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null